Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class GlobalParserCache

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.GlobalParserCache

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable

    public class GlobalParserCache

extends Object
implements edu.stanford.smi.protege.util.Disposable

Constructor Summary
`GlobalParserCache(OWLModel owlModel)`

Method Summary
`void` | `addGciAxiom(RDFSClass axiom)`
`void` | `addUndefTriple(UndefTriple triple, String undef)`
`void` | `dispose()`
`void` | `dumpUndefTriples(Level level)`
`Set<String>` | `getFramesWithWrongJavaType()`
`Collection<RDFSClass>` | `getGciAxioms()`
`MultipleTypesInstanceCache` | `getMultipleTypesInstanceCache()`
`Map<String,edu.stanford.smi.protege.model.Cls>` | `getObjectToNamedLogicalClassSurrogate()`
`Set<UndefTriple>` | `getOneOfTriples()`
`Set<TripleStore>` | `getParsedTripleStores()`
`Collection<RDFProperty>` | `getPossibleGCIPredicates()`
`TripleProcessor` | `getTripleProcessor()`
`Collection<UndefTriple>` | `getUndefTriples(String uri)`
`int` | `getUndefTripleSize()`
`Set<String>` | `getUndefTriplesKeys()`
`protected void` | `initGCIPredicates()`
`void` | `removeGciAxiom(RDFSClass axiom)`
`void` | `removeUndefTriple(String uri, UndefTriple undefTriple)`
`void` | `removeUndefTripleKey(String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalParserCache

    public GlobalParserCache(OWLModel owlModel)

Method Detail

### getTripleProcessor

    public TripleProcessor getTripleProcessor()

### addUndefTriple

    public void addUndefTriple(UndefTriple triple,
                               String undef)

### getUndefTriples

    public Collection<UndefTriple> getUndefTriples(String uri)

### getUndefTriplesKeys

    public Set<String> getUndefTriplesKeys()

### getUndefTripleSize

    public int getUndefTripleSize()

### removeUndefTriple

    public void removeUndefTriple(String uri,
                                  UndefTriple undefTriple)

### removeUndefTripleKey

    public void removeUndefTripleKey(String uri)

### dumpUndefTriples

    public void dumpUndefTriples(Level level)

### getMultipleTypesInstanceCache

    public MultipleTypesInstanceCache getMultipleTypesInstanceCache()

### getPossibleGCIPredicates

    public Collection<RDFProperty> getPossibleGCIPredicates()

### getGciAxioms

    public Collection<RDFSClass> getGciAxioms()

### addGciAxiom

    public void addGciAxiom(RDFSClass axiom)

### removeGciAxiom

    public void removeGciAxiom(RDFSClass axiom)

### getObjectToNamedLogicalClassSurrogate

    public Map<String,edu.stanford.smi.protege.model.Cls> getObjectToNamedLogicalClassSurrogate()

### getParsedTripleStores

    public Set<TripleStore> getParsedTripleStores()

### initGCIPredicates

    protected void initGCIPredicates()

### getFramesWithWrongJavaType

    public Set<String> getFramesWithWrongJavaType()

### getOneOfTriples

    public Set<UndefTriple> getOneOfTriples()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.